<div *ngIf="stream" class="liveCamera" (click)="closeWebCam()">
  <webcam
    [trigger]="$trigger"
    (imageCapture)="snapshot($event)"
    [imageQuality]="1"
  ></webcam>
  <button type="button" class="btn CaptureButton" (click)="captureImage()">
    Prendre photo
  </button>
</div>
<div class="retour">
  <div *ngIf="step == 2 || step == 3" (click)="terminer()" class="iconCntainer">
    <i class="icon-arrow-left-circle icons"></i>
  </div>
</div>
<div *ngIf="loading" class="laoder">
  <mat-progress-bar mode="indeterminate"></mat-progress-bar>
</div>
<div class="camScan" *ngIf="enable" (click)="closeCam()">
  <div *ngIf="errorCam" class="errorCamera">
    <i class="icon-close icons"></i>
    <p>Votre camera ne fonctionne pas</p>
  </div>
  <zxing-scanner
    class="cam"
    (camerasNotFound)="notFoundCam()"
    (camerasFound)="sdevices($event)"
    [enable]="enable"
    (scanSuccess)="onCodeResult($event)"
  ></zxing-scanner>
</div>
<div *ngIf="step == 1" class="init">
  <div>
    <button
      mat-stroked-button
      type="button"
      class="addButton"
      data-toggle="modal"
      (click)="scanQrCode()"
    >
      Scanner le code de reconnaissance
    </button>
  </div>
  <div class="inputCode">
    <mat-form-field
      hintLabel="Max 10 characters"
      style="width: 100%"
      appearance="fill"
    >
      <mat-label style="color: black">Entrer le Code</mat-label>
      <input
        [(ngModel)]="scanResult"
        style="color: black"
        matInput
        placeholder="#34ae"
        required
        #code="ngModel"
      />
      <mat-icon matSuffix>dialpad</mat-icon>
      <mat-hint align="end">{{ code.value?.length || 0 }}/10</mat-hint>
    </mat-form-field>
  </div>
  <div *ngIf="exist" class="errorElement">Ce code est deja utilisé</div>
  <div>
    <button
      [disabled]="code.invalid"
      type="button"
      class="btn ContinueButton"
      (click)="confirmCode()"
    >
      Continue
    </button>
  </div>
</div>

<div *ngIf="step == 2" class="init step2">
  <div class="selects" style="margin-top: 40px">
    <div class="selectContainer">
      <div>Sélectionnez le Camping :</div>
      <mat-form-field style="width: 140px" appearance="fill">
        <mat-select panelClass="my-select-panel-class" [(ngModel)]="site">
          <mat-option disabled value=""> choisir </mat-option>
          <mat-option
            *ngFor="let rentalType of sites"
            [value]="rentalType['id']"
            (click)="getVersions()"
          >
            {{ rentalType["name"] }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div *ngIf="versions.length > 0" class="selectContainer">
      <div>Sélectionnez la version :</div>
      <mat-form-field style="width: 140px" appearance="fill">
        <mat-select panelClass="my-select-panel-class" [(ngModel)]="version">
          <mat-option disabled value=""> choisir </mat-option>
          <mat-option
            *ngFor="let rentalType of versions"
            [value]="rentalType['id']"
            (click)="getPlaces()"
          >
            {{ rentalType["name"] }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div *ngIf="places.length > 0" class="selectContainer">
      <div>Sélectionnez l'emplacement :</div>
      <mat-form-field style="width: 140px" appearance="fill">
        <mat-select panelClass="my-select-panel-class" [(ngModel)]="place">
          <mat-option disabled value=""> choisir </mat-option>
          <mat-option
            *ngFor="let rentalType of places"
            [value]="rentalType['@id']"
            (click)="getAccommodations()"
          >
            {{ rentalType["name"] }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div *ngIf="elements.length > 0" class="selectContainer">
      <div>Sélectionnez l'élément :</div>
      <mat-form-field style="width: 140px" appearance="fill">
        <mat-select panelClass="my-select-panel-class" [(ngModel)]="element">
          <mat-option disabled value=""> choisir </mat-option>
          <mat-option
            *ngFor="let rentalType of elements"
            [value]="rentalType['id']"
            (click)="
              showelementAtt = true;
              selectedElement = rentalType['element_type']['name']
            "
          >
            {{ rentalType["element_type"]["name"] }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div *ngIf="showelementAtt" class="selectContainer">
      <div>Fournisseur de la toile</div>
      <mat-form-field style="width: 140px" appearance="fill">
        <mat-select
          panelClass="my-select-panel-class"
          [(ngModel)]="canvasProvider"
        >
          <mat-option disabled value=""> choisir </mat-option>
          <mat-option
            *ngFor="let rentalType of canvasProviders"
            [value]="rentalType['@id']"
          >
            {{ rentalType["name"] }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div *ngIf="showelementAtt" class="selectContainer">
      <div>Confectionneur</div>
      <mat-form-field style="width: 140px" appearance="fill">
        <mat-select
          panelClass="my-select-panel-class"
          [(ngModel)]="manufacturer"
        >
          <mat-option disabled value=""> choisir </mat-option>
          <mat-option
            *ngFor="let rentalType of manufacturers"
            [value]="rentalType['@id']"
          >
            {{ rentalType["name"] }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div *ngIf="noElement" class="errorElement">
      Tous les éléments de ce camping sont initialisés
    </div>
    <div class="cameraMain" *ngIf="showelementAtt">
      <h5>Prendre une photo de ce élement</h5>
      <div (click)="checkPermissions()" class="iconCntainer">
        <i class="icon-camera" style="color: green"></i>
      </div>
    </div>
    <div *ngIf="previewImage && showelementAtt" class="previewImage">
      <img [src]="previewImage" height="250" width="250" />
    </div>
  </div>
  <div class="terminInitContainer" style="margin-bottom: 40px">
    <button
      type="button"
      class="btn ContinueButton terminInit"
      data-toggle="modal"
      (click)="initialiser()"
      [disabled]="element === ''"
    >
      Suivant
    </button>
  </div>
</div>
<div *ngIf="step == 3" class="init step2">
  <div class="selects">
    <div class="resultSelect">
      <div>Camping :</div>
      <div style="color: #868383">{{ accommodationgeted.place.site.name }}</div>
    </div>
    <div class="resultSelect">
      <div>Emplacement :</div>
      <div style="color: #868383">{{ accommodationgeted.place.name }}</div>
    </div>
    <div class="resultSelect">
      <div>Hébergement :</div>
      <div style="color: #868383">{{ accommodationgeted.leasing }}</div>
    </div>
    <div class="scancod2">
      <div>
        <button
          mat-stroked-button
          type="button"
          class="addButton"
          data-toggle="modal"
          (click)="scanQrCode()"
        >
          Scanner le code de reconnaissance
        </button>
      </div>
      <div class="inputCode">
        <mat-form-field
          hintLabel="Max 10 characters"
          style="width: 100%"
          appearance="fill"
        >
          <mat-label style="color: black">Entrer le Code</mat-label>
          <input
            [(ngModel)]="scanResult"
            style="color: black"
            matInput
            placeholder="#34ae"
            required
            #code="ngModel"
          />
          <mat-icon matSuffix>dialpad</mat-icon>
          <mat-hint align="end">{{ code.value?.length || 0 }}/10</mat-hint>
        </mat-form-field>
      </div>
    </div>
    <div class="selectContainer">
      <div>Sélectionnez l'élément :</div>
      <mat-form-field style="width: 140px" appearance="fill">
        <mat-select panelClass="my-select-panel-class" [(ngModel)]="element">
          <mat-option disabled value=""> choisir </mat-option>
          <mat-option
            *ngFor="let rentalType of elements"
            [value]="rentalType['id']"
            (click)="
              selectedElement = rentalType['element_type']['name'];
              showelementAtt = true
            "
          >
            {{ rentalType["element_type"]["name"] }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div *ngIf="showelementAtt" class="selectContainer">
      <div>Fournisseur de la toile</div>
      <mat-form-field style="width: 140px" appearance="fill">
        <mat-select
          panelClass="my-select-panel-class"
          [(ngModel)]="canvasProvider"
        >
          <mat-option disabled value=""> choisir </mat-option>
          <mat-option
            *ngFor="let rentalType of canvasProviders"
            [value]="rentalType['@id']"
          >
            {{ rentalType["name"] }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div *ngIf="showelementAtt" class="selectContainer">
      <div>Confectionneur</div>
      <mat-form-field style="width: 140px" appearance="fill">
        <mat-select
          panelClass="my-select-panel-class"
          [(ngModel)]="manufacturer"
        >
          <mat-option disabled value=""> choisir </mat-option>
          <mat-option
            *ngFor="let rentalType of manufacturers"
            [value]="rentalType['@id']"
          >
            {{ rentalType["name"] }}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div class="cameraMain" *ngIf="showelementAtt">
      <h5>Prendre une photo de ce élement</h5>
      <div (click)="checkPermissions()" class="iconCntainer">
        <i class="icon-camera" style="color: green"></i>
      </div>
    </div>
    <div *ngIf="previewImage && showelementAtt" class="previewImage">
      <img [src]="previewImage" height="250" width="250" />
    </div>
  </div>
  <div class="terminInitContainer">
    <button
      *ngIf="element != ''"
      type="button"
      class="btn ContinueButton terminInit SuivantBtn"
      data-toggle="modal"
      (click)="initialiser()"
    >
      Suivant
    </button>
    <button
      type="button"
      class="btn ContinueButton terminInit"
      data-toggle="modal"
      (click)="terminerInit()"
    >
      Terminer l'inisialisation
    </button>
  </div>
</div>
<div *ngIf="step == 4" class="init step2">
  <div class="selects">
    <div class="resultSelect">
      <div>Camping :</div>
      <div style="color: #868383">{{ accommodationgeted.place.site.name }}</div>
    </div>
    <div class="resultSelect">
      <div>Emplacement :</div>
      <div style="color: #868383">{{ accommodationgeted.place.name }}</div>
    </div>
    <div class="resultSelect">
      <div>Hébergement :</div>
      <div style="color: #868383">{{ accommodationgeted.leasing }}</div>
    </div>
    <div class="listElement">
      <div>Les élément ajoutés:</div>
      <div *ngFor="let elem of newElements">
        <div class="elementadd">
          <div>{{ elem["name"] }}</div>
          <div style="color: #868383">{{ elem["recognitionCode"] }}</div>
        </div>
      </div>
    </div>
    <div class="listElement">
      <div>Les élément manquants:</div>
      <div *ngFor="let elem of elements">
        <div class="elementadd">
          <div>{{ elem["element_type"]["name"] }}</div>
        </div>
      </div>
    </div>
  </div>
  <div class="terminInitContainer">
    <button
      type="button"
      class="btn ContinueButton terminInit"
      data-toggle="modal"
      (click)="terminer()"
    >
      Terminer
    </button>
  </div>
</div>
